Subject: Re: bug#36143: [PATCH] Fix typo in src/keyboard.c)

From: Noam Postavsky <[email-masked]>
Date: Sun, 09 Jun 2019 09:20:52 -0400

> However, it looks like your local settings make Emacs untabify C
> sources, so in your patch as posted a TAB was converted into spaces,
> unlike the indentation around the line you changed (I fixed that
> before committing).  Please in the future be sure to edit the Emacs
> sources without such local settings; we only prefer spaces to TABs in
> Lisp sources, see .dir-locals.el in the repository.

Oh, I also didn't realize C sources were supposed to be TABified.  Maybe
.dir-locals.el should have an explicit (indent-tabs-mode . t) setting
under c-mode?  Especially since with GNU indent style,
indent-tabs-mode=t results in a file which mixes tabs and spaces, so
it's not obvious that the tabs are really intentional.